import { OperationNode } from './operation-node.js';
import { RawNode } from './raw-node.js';
import { SelectQueryNode } from './select-query-node.js';
export declare type UnionExpressionNode = SelectQueryNode | RawNode;
export interface UnionNode extends OperationNode {
    readonly kind: 'UnionNode';
    readonly union: UnionExpressionNode;
    readonly all: boolean;
}
/**
 * @internal
 */
export declare const UnionNode: Readonly<{
    is(node: OperationNode): node is UnionNode;
    create(union: UnionExpressionNode, all: boolean): UnionNode;
}>;
