"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ForeignKeyConstraintBuilder = void 0;
const foreign_key_constraint_node_js_1 = require("../operation-node/foreign-key-constraint-node.js");
const prevent_await_js_1 = require("../util/prevent-await.js");
class ForeignKeyConstraintBuilder {
    #node;
    constructor(node) {
        this.#node = node;
    }
    onDelete(onDelete) {
        return new ForeignKeyConstraintBuilder(foreign_key_constraint_node_js_1.ForeignKeyConstraintNode.cloneWith(this.#node, {
            onDelete,
        }));
    }
    onUpdate(onUpdate) {
        return new ForeignKeyConstraintBuilder(foreign_key_constraint_node_js_1.ForeignKeyConstraintNode.cloneWith(this.#node, {
            onUpdate,
        }));
    }
    toOperationNode() {
        return this.#node;
    }
}
exports.ForeignKeyConstraintBuilder = ForeignKeyConstraintBuilder;
(0, prevent_await_js_1.preventAwait)(ForeignKeyConstraintBuilder, "don't await ForeignKeyConstraintBuilder instances directly.");
