/// <reference types="./order-by-parser.d.ts" />
import { OrderByItemNode } from '../operation-node/order-by-item-node.js';
import { RawNode } from '../operation-node/raw-node.js';
import { parseReferenceExpression, } from './reference-parser.js';
export function parseOrderBy(ctx, orderBy, direction) {
    return OrderByItemNode.create(parseOrderByExpression(ctx, orderBy), parseOrderByDirectionExpression(direction));
}
function parseOrderByExpression(ctx, expr) {
    return parseReferenceExpression(ctx, expr);
}
function parseOrderByDirectionExpression(expr) {
    if (!expr) {
        return undefined;
    }
    if (expr === 'asc' || expr === 'desc') {
        return RawNode.createWithSql(expr);
    }
    else {
        return expr.toOperationNode();
    }
}
